From b9f97dba6246ef6485413e8e8b6f5caa6d2e41a9 Mon Sep 17 00:00:00 2001
From: Kevin Redon <kevredon@mail.tsaitgaist.info>
Date: Sat, 2 Nov 2013 18:18:34 +0100
Subject: [PATCH 4/7] add COMP128v23 files to be compiled

---
 src/gsm/Makefile.am | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/src/gsm/Makefile.am b/src/gsm/Makefile.am
index fa2265a..3162a7f 100644
--- a/src/gsm/Makefile.am
+++ b/src/gsm/Makefile.am
@@ -11,14 +11,15 @@ noinst_HEADERS = milenage/aes.h milenage/aes_i.h milenage/aes_wrap.h \
 
 lib_LTLIBRARIES = libosmogsm.la
 
-libosmogsm_la_SOURCES = a5.c rxlev_stat.c tlv_parser.c comp128.c gsm_utils.c \
-                        rsl.c gsm48.c gsm48_ie.c gsm0808.c sysinfo.c \
+libosmogsm_la_SOURCES = a5.c rxlev_stat.c tlv_parser.c comp128.c comp128v23.c \
+			gsm_utils.c rsl.c gsm48.c gsm48_ie.c gsm0808.c sysinfo.c \
 			gprs_cipher_core.c gsm0480.c abis_nm.c gsm0502.c \
 			gsm0411_utils.c gsm0411_smc.c gsm0411_smr.c \
 			lapd_core.c lapdm.c \
-			auth_core.c auth_comp128v1.c auth_milenage.c \
-			milenage/aes-encblock.c milenage/aes-internal.c \
-			milenage/aes-internal-enc.c milenage/milenage.c gan.c
+			auth_core.c auth_comp128v1.c auth_comp128v23.c \
+			auth_milenage.c milenage/aes-encblock.c \
+			milenage/aes-internal.c milenage/aes-internal-enc.c \
+			milenage/milenage.c gan.c
 
 libosmogsm_la_LDFLAGS = $(LTLDFLAGS_OSMOGSM) -version-info $(LIBVERSION) -no-undefined
 libosmogsm_la_LIBADD = $(top_builddir)/src/libosmocore.la
-- 
1.8.4.2

